package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.GP_PricingEspecificoCanalVendas;
import com.rjconsultores.ventaboletos.entidad.PricingEspecificoCanalVendas;

public class RenderPricingCanal implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		if(o instanceof PricingEspecificoCanalVendas) {
			PricingEspecificoCanalVendas pea = (PricingEspecificoCanalVendas) o;
	
			if (!pea.getActivo()) {
				return;
			}
	
			Listcell lc = new Listcell(pea.getTipoPtovta().getTipoptovtaId().toString());
			lc.setParent(lstm);
	
			lc = new Listcell(pea.getTipoPtovta().getDesctipo().toString());
			lc.setParent(lstm);
		} else {
			GP_PricingEspecificoCanalVendas pea = (GP_PricingEspecificoCanalVendas) o;
			
			if (!pea.getActivo()) {
				return;
			}
	
			Listcell lc = new Listcell(pea.getTipoPtovta().getTipoptovtaId().toString());
			lc.setParent(lstm);
	
			lc = new Listcell(pea.getTipoPtovta().getDesctipo().toString());
			lc.setParent(lstm);
		}
		

	}

}
